clear all
close all

% Set number of random inputs:
na = 500;
% Set values of b to be tried.
bvec = [10,50,100,200,500,1000,2000,5000,10000,20000,50000,100000];
nb = length(bvec);
% Output for number of steps:
numsteps = zeros(1,nb);
% Loop over all b's:
for k = 1:nb
    % Get the next b:
    b = bvec(k);
    % Get vector of random a's:
    avec = randi([b,10*b],na);
    % Compute gcd for all a's:
    q = 0;
    for l = 1:na
        a = avec(l);
        [g,c] = EA(a,b);
        q = q + c;
    end
    % Compute average number of steps:
    numsteps(k) = q/na;
end
% Make plots:
figure()
plot(bvec,numsteps)
hold on
phi = (1 + sqrt(5))/2;
plot(bvec, log(bvec)/log(phi) + 1)
xlabel('b')
legend('Results','Theoretical Bound','Location','SouthEast')